Skip to main content
GET
Retrieve a payer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payer_id
string
required

ID of the payer.

Response

The payer.

id
string
Example:

"pyr_AbC123XyZ"

identifier
string
Example:

"PAYER-2025-001"

name
string

Full name for individual or business name

Example:

"John Doe"

given_name
string | null
Example:

"John"

family_name
string | null
Example:

"Doe"

middle_name
string | null
company_name
string | null
Example:

"Acme Corp"

email
string<email> | null
Example:

"john.doe@example.com"

phone
string | null

E.164 formatted phone number

Example:

"+15551234567"

tax_id
string | null

Tax identification number

Example:

"12-3456789"

address
object | null
metadata
object | null

Optional metadata as key-value pairs

Example:
created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

updated_at
string<date-time>
Example:

"2025-10-08T18:25:00Z"

Last modified on July 8, 2026